Kerbal Space Program - Bug #19274

KSP freezes when pressing the Esc key to exit the Settings menu

06/21/2018 09:47 PM - DMagic

Status: Closed Start date: 06/21/2018
Severity: Low % Done: 100%
Assignee:

Category: Application

Target version: 1.4.5

Version: 1.4.4 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

The game will completely freeze after opening the Settings menu then pressing Esc to close it.

To replicate:
1. Start KSP and load a save file or create a new game

2. Press Esc to open the pause menu when at the Space Center scene

3. Open the Settings menu from the pause menu
4. Press Esc to close the Settings menu

5. The Settings menu is closed but KSP becomes completely unresponsive

The log files are attached, but nothing is printed below "[LOG 17:42:02.059] Game Unpaused!"

History

#2 - 06/22/2018 09:30 AM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 07/01/2018 11:23 PM - TriggerAu
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#6 - 07/26/2018 09:34 PM - joshua.collins
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.5

- % Done changed from 30 to 80

#7 - 07/27/2018 12:30 AM - DMagic
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Seems fine now, no more freezing.

#8 - 08/16/2018 11:51 PM - joshua.collins

- Status changed from Resolved to Closed

Files

KSP.log 325 KB
